## pyside2 5.15.8

=== sources/pyside2/doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(doc)

if (WIN32)
    set(PATH_SEP "\;")
else()
    set(PATH_SEP ":")
endif()

set(DOC_DATA_DIR "${CMAKE_CURRENT_BINARY_DIR}/qdoc-output")

get_filename_component(ROOT ${CMAKE_CURRENT_BINARY_DIR} DIRECTORY)
set(TS_ROOT "${ROOT}/PySide2")

file(REMOVE ${CMAKE_CURRENT_LIST_DIR}/pyside.qdocconf ${CMAKE_CURRENT_LIST_DIR}/pyside.qdocconf.in)

set(SHIBOKEN_INTERSPHINX_FILE "${ROOT}/pyside2/shiboken2/objects.inv")
set(HAS_WEBENGINE_WIDGETS 0)
set(SKIP_SPHINX_WARNINGS 1)
if (FULLDOCSBUILD)
    set(SKIP_SPHINX_WARNINGS 0)
    set(SHIBOKEN_INTERSPHINX_FILE "${CMAKE_BINARY_DIR}/doc/html/shiboken2/doc/html/objects.inv")
    # For Qt modules that are part of the documentation build:
    #    - Configure the module docconf file
    #    - Write shiboken header consisting of pyside2_global.h and module includes
    #    - Build include path for qdoc for shiboken

    # The last element of the include list is the mkspec directory containing qplatformdefs.h
    list(GET Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS -1 mkspecInclude)
    configure_file("pyside-config.qdocconf.in" "${CMAKE_CURRENT_LIST_DIR}/pyside-config.qdocconf" @ONLY)

    file(READ "${pyside2_BINARY_DIR}/pyside2_global.h" docHeaderContents)
    file(READ "typesystem_doc.xml.in" typeSystemDocXmlContents)


    foreach(moduleIn ${all_module_shortnames})
        string(TOLOWER "${moduleIn}" lowerModuleIn)
        set(docConf "${CMAKE_CURRENT_LIST_DIR}/qtmodules/pyside-qt${lowerModuleIn}.qdocconf.in")
        if(EXISTS "${docConf}")
            string(REGEX REPLACE "(^.*)\.in" "\\1" OUTFILE ${docConf})
            get_filename_component(BASENAME ${OUTFILE} NAME)
            configure_file(${docConf} "${CMAKE_CURRENT_LIST_DIR}/qtmodules/${BASENAME}" @ONLY)
            file(APPEND "pyside.qdocconf.in" "\@CMAKE_CURRENT_LIST_DIR\@/qtmodules/${BASENAME}\n")
            # Handle docconf files in Qt that contain multiple modules
            if ("${moduleIn}" STREQUAL "3DExtras")
                set(modules 3DCore 3DRender 3DInput 3DLogic 3DAnimation "${moduleIn}")
            elseif ("${moduleIn}" STREQUAL "QuickWidgets")
                set(modules Qml Quick "${moduleIn}")
            elseif ("${moduleIn}" STREQUAL "MultimediaWidgets")
                set(modules Multimedia "${moduleIn}")
            elseif ("${moduleIn}" STREQUAL "WebEngineWidgets")
                set(modules WebEngine WebEngineCore "${moduleIn}")
                set(HAS_WEBENGINE_WIDGETS 1)
            else()
                set(modules "${moduleIn}")
            endif()
            foreach(module ${modules})
                string(TOLOWER "${module}" lowerModule)
                # -- @TODO fix this for macOS frameworks.
                file(APPEND "${CMAKE_CURRENT_LIST_DIR}/pyside-config.qdocconf"
                     "    -I ${QT_INCLUDE_DIR}Qt${module} \\\n"
                     "    -I ${QT_INCLUDE_DIR}Qt${module}/${Qt${QT_MAJOR_VERSION}Core_VERSION} \\\n"
                     "    -I ${QT_INCLUDE_DIR}Qt${module}/${Qt${QT_MAJOR_VERSION}Core_VERSION}/Qt${module} \\\n")

                if (${moduleIn} STREQUAL "X11Extras")
                    set(globalHeader "QX11Info")
                else()
                    set(globalHeader "Qt${module}")
                endif()
                set(docHeaderContents "${docHeaderContents}\n#include <Qt${module}/${globalHeader}>")
                set(typeSystemDocXmlContents "${typeSystemDocXmlContents}\n<load-typesystem name=\"Qt${module}/typesystem_${lowerModule}.xml\" generate=\"yes\"/>")
            endforeach()
        endif()
    endforeach()

    #Appending the additional qdocconf that describes the pyside-examples
    #doc project.
    configure_file("qtmodules/pyside-examples.qdocconf.in" "${CMAKE_CURRENT_LIST_DIR}/qtmodules/pyside-examples.qdocconf" @ONLY)
    file(APPEND "pyside.qdocconf.in" "\@CMAKE_CURRENT_LIST_DIR\@/qtmodules/pyside-examples.qdocconf\n")

    set(typeSystemDocXmlContents "${typeSystemDocXmlContents}\n</typesystem>\n")
    file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/typesystem_doc.xml" "${typeSystemDocXmlContents}")

    set(docHeader "${pyside2_BINARY_DIR}/qdoc.h")
    file(WRITE ${docHeader} "${docHeaderContents}")
    configure_file("pyside.qdocconf.in" "pyside.qdocconf" @ONLY)


    set(QDOC_TYPESYSTEM_PATH "${pyside2_SOURCE_DIR}${PATH_SEP}${pyside2_BINARY_DIR}")

    add_custom_target(qdoc
                    # Use dummy Qt version information, QDoc needs it but has no effect on WebXML output
                    COMMAND ${CMAKE_COMMAND} -E env BUILDDIR=${CMAKE_CURRENT_LIST_DIR}/src QT_INSTALL_DOCS=${QT_SRC_DIR}/doc
                    QT_VERSION=${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}
                    QT_VER=${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}
                    QT_VERSION_TAG=${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}
                    qdoc pyside.qdocconf -single-exec -installdir ${DOC_DATA_DIR} -outputdir ${DOC_DATA_DIR}
                    COMMENT "Running qdoc against Qt source code..."
                    SOURCE "pyside.qdocconf")
endif()

# conditional tag for sphinx build
#string(JOIN "_" SPHINX_TAG ${DOC_OUTPUT_FORMAT} "format")
# Python script to replace the virtualFolder string in the QHP
set(py_cmd "from __future__ import print_function
import fileinput
import re
try:
\tfor line in fileinput.input('html/PySide.qhp',inplace=True,backup='.bak'):
\t\tline_copy=line.strip()
\t\tif not line_copy: # check for empty line
\t\t\tcontinue
\t\tmatch=re.match('(^.*virtualFolder.)doc(.*$)',line)
\t\tif match:
\t\t\trepl=''.join([match.group(1),'pyside2',match.group(2)])
\t\t\tprint(line.replace(match.group(0),repl),end='')
\t\telse:
\t\t\tprint(line)
except:
\tpass\n")
file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/py_script.py CONTENT ${py_cmd})

add_custom_target(apidoc
                  COMMAND ${SHIBOKEN_PYTHON_INTERPRETER} ${SPHINX_BUILD} -b ${DOC_OUTPUT_FORMAT} ${CMAKE_CURRENT_BINARY_DIR}/rst html
                  COMMENT "Generating PySide htmls..."
                 )

# create a custom commands to copy the shiboken docs
# and generate offline help based on the output format.
if(DOC_OUTPUT_FORMAT STREQUAL "html")
    add_custom_command(TARGET apidoc POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/html/shiboken2
            COMMAND ${CMAKE_COMMAND} -E copy_directory
                    ${CMAKE_CURRENT_BINARY_DIR}/../../shiboken2/doc/html
                    ${CMAKE_CURRENT_BINARY_DIR}/html/shiboken2
            COMMENT "Copying Shiboken docs..."
            VERBATIM)
else()
    file(TO_NATIVE_PATH ${CMAKE_CURRENT_BINARY_DIR}/html/PySide.qhp QHP_FILE)
    add_custom_command(TARGET apidoc POST_BUILD
            COMMAND ${PYTHON_EXECUTABLE} py_script.py
            COMMAND qhelpgenerator ${QHP_FILE}
            COMMENT "Generating QCH from a QHP file..."
            VERBATIM)
endif()

# create conf.py based on conf.py.in
configure_file("conf.py.in" "rst/conf.py" @ONLY)

add_custom_target("docrsts"
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/rst
    COMMAND Shiboken2::shiboken2 --generator-set=qtdoc ${docHeader}
            --enable-pyside-extensions
            --include-paths="${QT_INCLUDE_DIR}${PATH_SEP}${pyside2_SOURCE_DIR}${PATH_SEP}${TS_ROOT}"
            --api-version=${SUPPORTED_QT_VERSION}
            --typesystem-paths="${QDOC_TYPESYSTEM_PATH}"
            --library-source-dir=${QT_SRC_DIR}
            --documentation-data-dir=${DOC_DATA_DIR}/webxml
            --output-directory=${CMAKE_CURRENT_BINARY_DIR}/rst
            --documentation-code-snippets-dir=${CMAKE_CURRENT_BINARY_DIR}/rst/codesnippets/doc/src/snippets${PATH_SEP}${CMAKE_CURRENT_BINARY_DIR}/rst/codesnippets/examples
            --documentation-extra-sections-dir=${CMAKE_CURRENT_BINARY_DIR}/rst/extras
            --additional-documentation=${CMAKE_CURRENT_BINARY_DIR}/rst/additionaldocs.lst
            ${CMAKE_CURRENT_BINARY_DIR}/typesystem_doc.xml
    WORKING_DIRECTORY ${${module}_SOURCE_DIR}
    COMMENT "Running generator to generate documentation..."
)

add_custom_target("licensedocrsts"
    COMMAND ${PYTHON_EXECUTABLE}
            ${CMAKE_CURRENT_LIST_DIR}/qtattributionsscannertorst.py
            ${CMAKE_CURRENT_LIST_DIR}/../../..
            ${CMAKE_CURRENT_BINARY_DIR}/rst/licenses.rst
    COMMENT "Creating 3rdparty license documentation..."
)

if (FULLDOCSBUILD)
    add_dependencies(apidoc docrsts licensedocrsts)
    add_dependencies(licensedocrsts docrsts)
    add_dependencies(docrsts qdoc)
endif()

#install files
add_custom_target(apidocinstall
    COMMAND mkdir -p ${CMAKE_INSTALL_PREFIX}/share/doc/PySide2-${BINDING_API_VERSION} && cp -rv ${CMAKE_CURRENT_BINARY_DIR}/html/* ${CMAKE_INSTALL_PREFIX}/share/doc/PySide-${BINDING_API_VERSION}
)

add_dependencies(apidocinstall apidoc)

=== sources/shiboken2/shibokenmodule/CMakeLists.txt ===
project(shibokenmodule)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/shibokenmodule.txt.in"
               "${CMAKE_CURRENT_BINARY_DIR}/shibokenmodule.txt" @ONLY)

set(sample_SRC ${CMAKE_CURRENT_BINARY_DIR}/shiboken2/shiboken2_module_wrapper.cpp)

set(shibokenmodule_TYPESYSTEM ${CMAKE_CURRENT_SOURCE_DIR}/typesystem_shiboken.xml)

add_custom_command(
OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/mjb_rejected_classes.log"
BYPRODUCTS ${sample_SRC}
# Note: shiboken2 is an executable target. By not specifying its explicit
# path, CMAKE figures it out, itself!
# This fixes an issue with Visual Studio, see https://github.com/PySide/shiboken2/pull/11
COMMAND shiboken2 --project-file=${CMAKE_CURRENT_BINARY_DIR}/shibokenmodule.txt ${GENERATOR_EXTRA_FLAGS}
DEPENDS ${shibokenmodule_TYPESYSTEM}
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator for 'shiboken2'..."
)

add_library(shibokenmodule MODULE ${sample_SRC})
target_include_directories(shibokenmodule PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
                                                  ${CMAKE_SOURCE_DIR})
set_property(TARGET shibokenmodule PROPERTY PREFIX "")
set_property(TARGET shibokenmodule PROPERTY OUTPUT_NAME "shiboken2${PYTHON_EXTENSION_SUFFIX}")

if(WIN32)
    set_property(TARGET shibokenmodule PROPERTY SUFFIX ".pyd")
endif()
target_link_libraries(shibokenmodule PUBLIC libshiboken)

create_generator_target(shibokenmodule)

install(TARGETS shibokenmodule DESTINATION ${PYTHON_SITE_PACKAGES}/shiboken2)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/_config.py.in"
               "${CMAKE_CURRENT_BINARY_DIR}/_config.py" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/_config.py"
        DESTINATION "${PYTHON_SITE_PACKAGES}/shiboken2")

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/__init__.py.in"
               "${CMAKE_CURRENT_BINARY_DIR}/__init__.py" @ONLY)

# Variable from enclosing scope.
foreach(item IN LISTS shiboken_python_files)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/files.dir/shibokensupport/${item}"
                   "${CMAKE_CURRENT_BINARY_DIR}/files.dir/shibokensupport/${item}" COPYONLY)
endforeach()

install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/files.dir"
        DESTINATION "${PYTHON_SITE_PACKAGES}/shiboken2")

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/__init__.py"
       DESTINATION "${PYTHON_SITE_PACKAGES}/shiboken2")

# Use absolute path instead of relative path, to avoid ninja build errors due to
# duplicate file dependency inconsistency.
set(shiboken_version_relative_path "${CMAKE_CURRENT_SOURCE_DIR}/../shiboken_version.py")
get_filename_component(shiboken_version_path ${shiboken_version_relative_path} ABSOLUTE)
configure_file("${shiboken_version_path}"
               "${CMAKE_CURRENT_BINARY_DIR}/_git_shiboken_module_version.py" @ONLY)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/_git_shiboken_module_version.py"
        DESTINATION "${PYTHON_SITE_PACKAGES}/shiboken2")

=== sources/pyside2/PySide2/Qt3DCore/CMakeLists.txt ===
project(Qt3DCore)

set(Qt3DCore_SRC
${Qt3DCore_GEN_DIR}/qt3dcore_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qabstractaspect_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qaspectengine_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qaspectjob_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qbackendnode_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qcomponent_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qcomponentaddedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qcomponentremovedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qdynamicpropertyupdatedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qentity_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnode_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnodecreatedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnodedestroyedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnodeid_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnodeidtypepair_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertynodeaddedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertynoderemovedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyupdatedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyupdatedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyvalueaddedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyvalueaddedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyvalueremovedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyvalueremovedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qscenechange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qstaticpropertyupdatedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qstaticpropertyvalueaddedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qstaticpropertyvalueremovedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qtransform_wrapper.cpp
# module is always needed
${Qt3DCore_GEN_DIR}/qt3dcore_module_wrapper.cpp)

if (Qt${QT_MAJOR_VERSION}3DCore_VERSION VERSION_EQUAL 5.10.0 OR Qt${QT_MAJOR_VERSION}3DCore_VERSION VERSION_GREATER 5.10.0)
    list(APPEND Qt3DCore_SRC
         ${Qt3DCore_GEN_DIR}/qt3dcore_qarmature_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qjoint_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qabstractskeleton_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qnodecommand_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qskeleton_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qskeletonloader_wrapper.cpp)
endif()

set(Qt3DCore_include_dirs
                     ${Qt3DCore_SOURCE_DIR}
                     ${Qt3DCore_BINARY_DIR}
                     ${pyside2_SOURCE_DIR}
                     ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                     ${Qt${QT_MAJOR_VERSION}Gui_INCLUDE_DIRS}
                     ${Qt${QT_MAJOR_VERSION}Network_INCLUDE_DIRS}
                     ${Qt${QT_MAJOR_VERSION}3DCore_INCLUDE_DIRS}
                     ${libpyside_SOURCE_DIR}
                     ${QtCore_GEN_DIR}
                     ${QtGui_GEN_DIR}
                     ${QtNetwork_GEN_DIR})

set(Qt3DCore_libraries pyside2
                     ${Qt${QT_MAJOR_VERSION}3DCore_LIBRARIES})

set(Qt3DCore_deps QtGui QtNetwork)

create_pyside_module(NAME Qt3DCore
                     INCLUDE_DIRS Qt3DCore_include_dirs
                     LIBRARIES Qt3DCore_libraries
                     DEPS Qt3DCore_deps
                     TYPESYSTEM_PATH Qt3DCore_SOURCE_DIR
                     SOURCES Qt3DCore_SRC
                     TYPESYSTEM_NAME ${Qt3DCore_BINARY_DIR}/typesystem_3dcore.xml)

=== sources/pyside2/PySide2/QtCharts/CMakeLists.txt ===
project(QtCharts)

set(QtCharts_SRC
${QtCharts_GEN_DIR}/qtcharts_qabstractaxis_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qabstractbarseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qabstractseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qarealegendmarker_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qareaseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qbarcategoryaxis_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qbarlegendmarker_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qbarmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qbarseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qbarset_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qboxplotlegendmarker_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qboxplotmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qboxplotseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qboxset_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qcandlesticklegendmarker_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qcandlestickmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qcandlestickseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qcandlestickset_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qcategoryaxis_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qchart_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qchartview_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qdatetimeaxis_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qhbarmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qhboxplotmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qhcandlestickmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qhorizontalbarseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qhorizontalpercentbarseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qhorizontalstackedbarseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qhpiemodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qhxymodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qlegend_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qlegendmarker_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qlineseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qlogvalueaxis_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qpercentbarseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qpielegendmarker_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qpiemodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qpieseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qpieslice_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qpolarchart_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qscatterseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qsplineseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qstackedbarseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qvalueaxis_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qvbarmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qvboxplotmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qvcandlestickmodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qvpiemodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qvxymodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qxylegendmarker_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qxymodelmapper_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_qxyseries_wrapper.cpp
${QtCharts_GEN_DIR}/qtcharts_wrapper.cpp
# module is always needed
${QtCharts_GEN_DIR}/qtcharts_module_wrapper.cpp
)

set(QtCharts_include_dirs ${QtCharts_SOURCE_DIR}
                          ${QtCharts_BINARY_DIR}
                          ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}Gui_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}Widgets_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}Charts_INCLUDE_DIRS}
                          ${libpyside_SOURCE_DIR}
                          ${QtCore_GEN_DIR}
                          ${QtGui_GEN_DIR}
                          ${QtWidgets_GEN_DIR})

set(QtCharts_libraries    pyside2
                          ${Qt${QT_MAJOR_VERSION}Charts_LIBRARIES}
                          ${Qt${QT_MAJOR_VERSION}Core_LIBRARIES}
                          ${Qt${QT_MAJOR_VERSION}Gui_LIBRARIES}
                          ${Qt${QT_MAJOR_VERSION}Widgets_LIBRARIES})

set(QtCharts_deps QtCore QtGui QtWidgets)

create_pyside_module(NAME QtCharts
                     INCLUDE_DIRS QtCharts_include_dirs
                     LIBRARIES QtCharts_libraries
                     DEPS QtCharts_deps
                     TYPESYSTEM_PATH QtCharts_SOURCE_DIR
                     SOURCES QtCharts_SRC)

=== sources/pyside2/PySide2/QtOpenGLFunctions/CMakeLists.txt ===
project(QtOpenGLFunctions)

set(QtOpenGLFunctions_DROPPED_ENTRIES)

get_property(QtOpenGLFunctions_enabled_features TARGET Qt${QT_MAJOR_VERSION}::Gui
             PROPERTY QT_ENABLED_PUBLIC_FEATURES)

set(QtOpenGLFunctions_SRC ${QtOpenGLFunctions_GEN_DIR}/qtopenglfunctions_module_wrapper.cpp)

# cf qtbase/src/gui/opengl/opengl.pri
list(FIND QtOpenGLFunctions_enabled_features "opengles2" _opengles2Index)
# ### fixme: For cmake >= 3.3: if(opengles2 IN_LIST QtOpenGLFunctions_enabled_features)
if(_opengles2Index GREATER -1)
    list(APPEND QtOpenGLFunctions_DROPPED_ENTRIES QOpenGLTimeMonitor QOpenGLTimerQuery)
    list(APPEND QtOpenGLFunctions_SRC
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_es2_wrapper.cpp)
    message(STATUS "Qt${QT_MAJOR_VERSION}OpenGLFunctions: Dropping Desktop OpenGL classes (GLES2)")
else()
    list(APPEND QtOpenGLFunctions_SRC
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_1_0_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_1_1_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_1_2_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_1_3_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_1_4_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_1_5_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_2_0_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_2_1_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_3_0_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_3_1_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_3_2_compatibility_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_3_2_core_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_3_3_compatibility_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_3_3_core_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_0_compatibility_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_0_core_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_1_compatibility_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_1_core_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_2_compatibility_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_2_core_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_3_compatibility_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_3_core_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_4_compatibility_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_4_core_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_5_compatibility_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglfunctions_4_5_core_wrapper.cpp
         ${QtOpenGLFunctions_GEN_DIR}/qopenglversionfunctionsfactory_wrapper.cpp)
   message(STATUS "Qt${QT_MAJOR_VERSION}OpenGLFunctions: Adding Desktop OpenGL classes")
endif()

configure_file("${QtOpenGLFunctions_SOURCE_DIR}/QtOpenGLFunctions_global.post.h.in"
               "${QtOpenGLFunctions_BINARY_DIR}/QtOpenGLFunctions_global.post.h" @ONLY)

set(QtOpenGLFunctions_include_dirs  ${QtGOpenGLFunctions_SOURCE_DIR}
                        ${QtOpenGLFunctions_BINARY_DIR}
                        ${pyside2_SOURCE_DIR}
                        ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                        ${Qt${QT_MAJOR_VERSION}Gui_INCLUDE_DIRS}
                        ${libpyside_SOURCE_DIR}
                        ${QtCore_GEN_DIR}
                        ${QtGui_GEN_DIR}
                        )
set(QtOpenGLFunctions_libraries   pyside2
                      ${Qt${QT_MAJOR_VERSION}Gui_LIBRARIES})

set(QtOpenGLFunctions_deps QtGui)

create_pyside_module(NAME QtOpenGLFunctions
                     INCLUDE_DIRS QtOpenGLFunctions_include_dirs
                     LIBRARIES QtOpenGLFunctions_libraries
                     DEPS QtOpenGLFunctions_deps
                     TYPESYSTEM_PATH QtOpenGLFunctions_SOURCE_DIR
                     SOURCES QtOpenGLFunctions_SRC
                     TYPESYSTEM_NAME ${QtOpenGLFunctions_BINARY_DIR}/typesystem_openglfunctions.xml
                     DROPPED_ENTRIES QtOpenGLFunctions_DROPPED_ENTRIES)

install(FILES ${pyside2_SOURCE_DIR}/qopenglversionfunctionsfactory.h
        DESTINATION include/PySide2/QtOpenGLFunctions)

=== sources/pyside2/PySide2/QtWidgets/CMakeLists.txt ===
project(QtWidgets)

set(QtWidgets_SRC
${QtWidgets_GEN_DIR}/qaccessiblewidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qabstractbutton_wrapper.cpp
${QtWidgets_GEN_DIR}/qabstractgraphicsshapeitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qabstractitemdelegate_wrapper.cpp
${QtWidgets_GEN_DIR}/qabstractitemview_wrapper.cpp
${QtWidgets_GEN_DIR}/qabstractscrollarea_wrapper.cpp
${QtWidgets_GEN_DIR}/qabstractslider_wrapper.cpp
${QtWidgets_GEN_DIR}/qabstractspinbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qaction_wrapper.cpp
${QtWidgets_GEN_DIR}/qactiongroup_wrapper.cpp
${QtWidgets_GEN_DIR}/qapplication_wrapper.cpp
${QtWidgets_GEN_DIR}/qboxlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qbuttongroup_wrapper.cpp
${QtWidgets_GEN_DIR}/qcalendarwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qcheckbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qcolordialog_wrapper.cpp
${QtWidgets_GEN_DIR}/qcolormap_wrapper.cpp
${QtWidgets_GEN_DIR}/qcolumnview_wrapper.cpp
${QtWidgets_GEN_DIR}/qcombobox_wrapper.cpp
${QtWidgets_GEN_DIR}/qcommandlinkbutton_wrapper.cpp
${QtWidgets_GEN_DIR}/qcommonstyle_wrapper.cpp
${QtWidgets_GEN_DIR}/qcompleter_wrapper.cpp
${QtWidgets_GEN_DIR}/qdatawidgetmapper_wrapper.cpp
${QtWidgets_GEN_DIR}/qdateedit_wrapper.cpp
${QtWidgets_GEN_DIR}/qdatetimeedit_wrapper.cpp
${QtWidgets_GEN_DIR}/qdesktopwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qdial_wrapper.cpp
${QtWidgets_GEN_DIR}/qdialog_wrapper.cpp
${QtWidgets_GEN_DIR}/qdialogbuttonbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qdirmodel_wrapper.cpp
${QtWidgets_GEN_DIR}/qdockwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qdoublespinbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qerrormessage_wrapper.cpp
${QtWidgets_GEN_DIR}/qfiledialog_wrapper.cpp
${QtWidgets_GEN_DIR}/qfileiconprovider_wrapper.cpp
${QtWidgets_GEN_DIR}/qfilesystemmodel_wrapper.cpp
${QtWidgets_GEN_DIR}/qfocusframe_wrapper.cpp
${QtWidgets_GEN_DIR}/qfontcombobox_wrapper.cpp
${QtWidgets_GEN_DIR}/qfontdialog_wrapper.cpp
${QtWidgets_GEN_DIR}/qformlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qframe_wrapper.cpp
${QtWidgets_GEN_DIR}/qgesture_wrapper.cpp
${QtWidgets_GEN_DIR}/qgestureevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgesturerecognizer_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsanchor_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsanchorlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsblureffect_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicscolorizeeffect_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsdropshadoweffect_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicseffect_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsellipseitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsgridlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsitemanimation_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsitemgroup_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicslayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicslayoutitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicslinearlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicslineitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsobject_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsopacityeffect_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicspathitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicspixmapitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicspolygonitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsproxywidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsrectitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsrotation_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscale_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscene_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscenecontextmenuevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscenedragdropevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicssceneevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscenehelpevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscenehoverevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscenemouseevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscenemoveevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicssceneresizeevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsscenewheelevent_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicssimpletextitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicstextitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicstransform_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicsview_wrapper.cpp
${QtWidgets_GEN_DIR}/qgraphicswidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qgridlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qgroupbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qhboxlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qheaderview_wrapper.cpp
${QtWidgets_GEN_DIR}/qinputdialog_wrapper.cpp
${QtWidgets_GEN_DIR}/qitemdelegate_wrapper.cpp
${QtWidgets_GEN_DIR}/qitemeditorcreatorbase_wrapper.cpp
${QtWidgets_GEN_DIR}/qitemeditorfactory_wrapper.cpp
${QtWidgets_GEN_DIR}/qkeyeventtransition_wrapper.cpp
${QtWidgets_GEN_DIR}/qkeysequenceedit_wrapper.cpp
${QtWidgets_GEN_DIR}/qlabel_wrapper.cpp
${QtWidgets_GEN_DIR}/qlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qlayoutitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qlcdnumber_wrapper.cpp
${QtWidgets_GEN_DIR}/qlineedit_wrapper.cpp
${QtWidgets_GEN_DIR}/qlistview_wrapper.cpp
${QtWidgets_GEN_DIR}/qlistwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qlistwidgetitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qmainwindow_wrapper.cpp
${QtWidgets_GEN_DIR}/qmdiarea_wrapper.cpp
${QtWidgets_GEN_DIR}/qmdisubwindow_wrapper.cpp
${QtWidgets_GEN_DIR}/qmenu_wrapper.cpp
${QtWidgets_GEN_DIR}/qmenubar_wrapper.cpp
${QtWidgets_GEN_DIR}/qmessagebox_wrapper.cpp
${QtWidgets_GEN_DIR}/qmouseeventtransition_wrapper.cpp
${QtWidgets_GEN_DIR}/qopenglwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qpangesture_wrapper.cpp
${QtWidgets_GEN_DIR}/qpinchgesture_wrapper.cpp
${QtWidgets_GEN_DIR}/qplaintextdocumentlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qplaintextedit_wrapper.cpp
${QtWidgets_GEN_DIR}/qprogressbar_wrapper.cpp
${QtWidgets_GEN_DIR}/qprogressdialog_wrapper.cpp
${QtWidgets_GEN_DIR}/qproxystyle_wrapper.cpp
${QtWidgets_GEN_DIR}/qpushbutton_wrapper.cpp
${QtWidgets_GEN_DIR}/qradiobutton_wrapper.cpp
${QtWidgets_GEN_DIR}/qrubberband_wrapper.cpp
${QtWidgets_GEN_DIR}/qscrollarea_wrapper.cpp
${QtWidgets_GEN_DIR}/qscrollbar_wrapper.cpp
${QtWidgets_GEN_DIR}/qscroller_wrapper.cpp
${QtWidgets_GEN_DIR}/qscrollerproperties_wrapper.cpp
${QtWidgets_GEN_DIR}/qshortcut_wrapper.cpp
${QtWidgets_GEN_DIR}/qsizegrip_wrapper.cpp
${QtWidgets_GEN_DIR}/qsizepolicy_wrapper.cpp
${QtWidgets_GEN_DIR}/qslider_wrapper.cpp
${QtWidgets_GEN_DIR}/qspaceritem_wrapper.cpp
${QtWidgets_GEN_DIR}/qspinbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qsplashscreen_wrapper.cpp
${QtWidgets_GEN_DIR}/qsplitter_wrapper.cpp
${QtWidgets_GEN_DIR}/qsplitterhandle_wrapper.cpp
${QtWidgets_GEN_DIR}/qstackedlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qstackedwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qstatusbar_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyle_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleditemdelegate_wrapper.cpp
${QtWidgets_GEN_DIR}/qstylefactory_wrapper.cpp
${QtWidgets_GEN_DIR}/qstylehintreturn_wrapper.cpp
${QtWidgets_GEN_DIR}/qstylehintreturnmask_wrapper.cpp
${QtWidgets_GEN_DIR}/qstylehintreturnvariant_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoption_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionbutton_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptioncombobox_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptioncomplex_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiondockwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionfocusrect_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionframe_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiongraphicsitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiongroupbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionheader_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionmenuitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionprogressbar_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionrubberband_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionsizegrip_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionslider_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionspinbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiontab_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiontabbarbase_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiontabwidgetframe_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiontitlebar_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiontoolbar_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiontoolbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptiontoolbutton_wrapper.cpp
${QtWidgets_GEN_DIR}/qstyleoptionviewitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qstylepainter_wrapper.cpp
${QtWidgets_GEN_DIR}/qswipegesture_wrapper.cpp
${QtWidgets_GEN_DIR}/qsystemtrayicon_wrapper.cpp
${QtWidgets_GEN_DIR}/qtabbar_wrapper.cpp
${QtWidgets_GEN_DIR}/qtableview_wrapper.cpp
${QtWidgets_GEN_DIR}/qtablewidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qtablewidgetitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qtablewidgetselectionrange_wrapper.cpp
${QtWidgets_GEN_DIR}/qtabwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qtapandholdgesture_wrapper.cpp
${QtWidgets_GEN_DIR}/qtapgesture_wrapper.cpp
${QtWidgets_GEN_DIR}/qtextbrowser_wrapper.cpp
${QtWidgets_GEN_DIR}/qtextedit_extraselection_wrapper.cpp
${QtWidgets_GEN_DIR}/qtextedit_wrapper.cpp
${QtWidgets_GEN_DIR}/qtilerules_wrapper.cpp
${QtWidgets_GEN_DIR}/qtimeedit_wrapper.cpp
${QtWidgets_GEN_DIR}/qtoolbar_wrapper.cpp
${QtWidgets_GEN_DIR}/qtoolbox_wrapper.cpp
${QtWidgets_GEN_DIR}/qtoolbutton_wrapper.cpp
${QtWidgets_GEN_DIR}/qtooltip_wrapper.cpp
${QtWidgets_GEN_DIR}/qtreeview_wrapper.cpp
${QtWidgets_GEN_DIR}/qtreewidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qtreewidgetitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qtreewidgetitemiterator_wrapper.cpp
${QtWidgets_GEN_DIR}/qundocommand_wrapper.cpp
${QtWidgets_GEN_DIR}/qundogroup_wrapper.cpp
${QtWidgets_GEN_DIR}/qundostack_wrapper.cpp
${QtWidgets_GEN_DIR}/qundoview_wrapper.cpp
${QtWidgets_GEN_DIR}/qvboxlayout_wrapper.cpp
${QtWidgets_GEN_DIR}/qwhatsthis_wrapper.cpp
${QtWidgets_GEN_DIR}/qwidget_wrapper.cpp
${QtWidgets_GEN_DIR}/qwidgetaction_wrapper.cpp
${QtWidgets_GEN_DIR}/qwidgetitem_wrapper.cpp
${QtWidgets_GEN_DIR}/qwizard_wrapper.cpp
${QtWidgets_GEN_DIR}/qwizardpage_wrapper.cpp

${SPECIFIC_OS_FILES}
# module is always needed
${QtWidgets_GEN_DIR}/qtwidgets_module_wrapper.cpp
)

configure_file("${QtWidgets_SOURCE_DIR}/typesystem_widgets.xml.in"
               "${QtWidgets_BINARY_DIR}/typesystem_widgets.xml" @ONLY)

set(QtWidgets_include_dirs  ${QtWidgets_SOURCE_DIR}
                            ${QtWidgets_BINARY_DIR}
                            ${pyside2_SOURCE_DIR}
                            ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                            ${Qt${QT_MAJOR_VERSION}Gui_INCLUDE_DIRS}
                            ${Qt${QT_MAJOR_VERSION}Widgets_INCLUDE_DIRS}
                            ${libpyside_SOURCE_DIR}
                            ${QtCore_GEN_DIR}
                            ${QtGui_GEN_DIR}
                            )
set(QtWidgets_libraries pyside2
                        ${Qt${QT_MAJOR_VERSION}Core_LIBRARIES}
                        ${Qt${QT_MAJOR_VERSION}Gui_LIBRARIES}
                        ${Qt${QT_MAJOR_VERSION}Widgets_LIBRARIES}
                        )
set(QtWidgets_deps QtGui)

create_pyside_module(NAME QtWidgets
                     INCLUDE_DIRS QtWidgets_include_dirs
                     LIBRARIES QtWidgets_libraries
                     DEPS QtWidgets_deps
                     TYPESYSTEM_PATH QtWidgets_SOURCE_DIR
                     SOURCES QtWidgets_SRC
                     TYPESYSTEM_NAME ${QtWidgets_BINARY_DIR}/typesystem_widgets.xml)

=== sources/pyside2/PySide2/QtXmlPatterns/CMakeLists.txt ===
project(QtXmlPatterns)

set(QtXmlPatterns_SRC
${QtXmlPatterns_GEN_DIR}/qabstractmessagehandler_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qabstracturiresolver_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qabstractxmlnodemodel_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qabstractxmlreceiver_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qsourcelocation_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlformatter_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlitem_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlnamepool_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlname_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlnodemodelindex_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlquery_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlresultitems_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlschemavalidator_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlschema_wrapper.cpp
${QtXmlPatterns_GEN_DIR}/qxmlserializer_wrapper.cpp
## always needed
${QtXmlPatterns_GEN_DIR}/qtxmlpatterns_module_wrapper.cpp
)

set(QtXmlPatterns_include_dirs  ${QtXmlPatterns_SOURCE_DIR}
                                ${QtXmlPatterns_BINARY_DIR}
                                ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                                ${Qt${QT_MAJOR_VERSION}XmlPatterns_INCLUDE_DIRS}
                                ${libpyside_SOURCE_DIR}
                                ${QtCore_GEN_DIR}
                                )
set(QtXmlPatterns_libraries     pyside2
                                ${Qt${QT_MAJOR_VERSION}Core_LIBRARIES}
                                ${Qt${QT_MAJOR_VERSION}XmlPatterns_LIBRARIES})
set(QtXmlPatterns_deps QtCore)

create_pyside_module(NAME QtXmlPatterns
                     INCLUDE_DIRS QtXmlPatterns_include_dirs
                     LIBRARIES QtXmlPatterns_libraries
                     DEPS QtXmlPatterns_deps
                     TYPESYSTEM_PATH QtXmlPatterns_SOURCE_DIR
                     SOURCES QtXmlPatterns_SRC)

=== sources/pyside2/tests/Qt3DExtras/CMakeLists.txt ===
PYSIDE_TEST(qt3dextras_test.py)

=== debian/changelog ===
pyside2 (5.15.8-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix GLES builds.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Jan 2023 00:06:53 +0400

pyside2 (5.15.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, included in the new release:
    - fix-reuse-build.patch
    - qApp-fix-flag-handling.patch
    - py3.10-prep-reset-the-type-cache-after-feature-switching.patch
    - py3.10-prep-Fix-parser.py-for-changed-typing-module.patch
    - py3.10-prep-Finally-support-Python-3.10.patch
    - py3.10-prep-Fix-a-very-old-refcounting-error-in-time_test.patch
    - shiboken6-Adapt-to-LLVM-12.01.patch
  * Refresh debian/patches/blacklist-failing-tests.patch.
  * Backport 7 upstream patches to support Python 3.11 (closes: #1027950).
  * Remove dh-exec (debhelper now supports substitutions natively).
  * Revert a change from 5.15.8 which broke build without limited API.
  * Add a patch to fix AttributeError in signature_bootstrap.py.
  * Fix redundant-globbing-patterns Lintian warning.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 17:38:12 +0400

pyside2 (5.15.2-2.3) unstable; urgency=medium

  * Call "py3versions -d" instead of "py3versions -r" in tests.

 -- Christian Marillat <marillat@debian.org>  Fri, 17 Jun 2022 17:49:37 +0200

pyside2 (5.15.2-2.2) unstable; urgency=medium

  * Don't test with python3-all but python3 as only the current python3 is
    supported.  (Closes:# 1012878)

 -- Christian Marillat <marillat@debian.org>  Thu, 16 Jun 2022 10:57:23 +0200

pyside2 (5.15.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Should always Build-Depends on python3-dev but not on python3-all-dev.
    This package is unable to manage two python versions at the same time.
    (Closes: #1008849)

 -- Christian Marillat <marillat@debian.org>  Sun, 12 Jun 2022 18:30:03 +0200

=== debian/control ===
Source: pyside2
Section: python
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.1),
               debhelper-compat (= 13),
               dh-python,
               graphviz,
               libclang-dev,
               libqt5charts5-dev (>= 5.15),
               libqt5datavisualization5-dev (>= 5.15) [!mips64el !mipsel !mips],
               libqt5opengl5-dev (>= 5.15),
               libqt5remoteobjects5-dev (>= 5.15),
               libqt5scxml5-bin (>= 5.15),
               libqt5scxml5-dev (>= 5.15),
               libqt5sensors5-dev (>= 5.15),
               libqt5serialport5-dev (>= 5.15),
               libqt5svg5-dev (>= 5.15),
               libqt5texttospeech5-dev (>= 5.15),
               libqt5webchannel5-dev (>= 5.15),
               libqt5webkit5-dev (>= 5.15),
               libqt5websockets5-dev (>= 5.15),
               libqt5x11extras5-dev (>= 5.15),
               libqt5xmlpatterns5-dev (>= 5.15),
               libxml2-dev,
               libxslt1-dev,
               llvm-dev,
               patchelf,
               python3-dev,
               python3-distro,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-wheel,
               qml-module-qtquick-controls2 (>= 5.15),
               qml-module-qtquick-layouts (>= 5.15),
               qml-module-qtquick2 (>= 5.15),
               qt3d-assimpsceneimport-plugin (>= 5.15),
               qt3d-defaultgeometryloader-plugin (>= 5.15),
               qt3d-gltfsceneio-plugin (>= 5.15),
               qt3d-scene2d-plugin (>= 5.15),
               qt3d5-dev (>= 5.15),
               qt5-qmake (>= 5.15),
               qt5-qmake-bin (>= 5.15),
               qtbase5-dev (>= 5.15),
               qtbase5-private-dev (>= 5.15),
               qtchooser,
               qtdeclarative5-dev (>= 5.15),
               qtdeclarative5-private-dev (>= 5.15),
               qtlocation5-dev (>= 5.15),
               qtmultimedia5-dev (>= 5.15),
               qtpositioning5-dev (>= 5.15),
               qtquickcontrols2-5-dev (>= 5.15),
               qtscript5-dev (>= 5.15),
               qttools5-dev (>= 5.15),
               qtwebengine5-dev (>= 5.15) [amd64 arm64 armhf i386 mipsel],
               xauth,
               xvfb
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/pyside2.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/pyside2

Package: python-pyside2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python bindings for Qt5 (common documentation)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: libpyside2-py3-5.15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Replaces: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Provides: libpyside2-py3
Description: Python 3 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libpyside2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libpyside2-py3-5.15 (= ${binary:Version})
Description: Python bindings for Qt5 (development files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python3-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Description: Python bindings for Qt5 core module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCore module.

Package: shiboken2
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.

Package: libshiboken2-py3-5.15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Replaces: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Provides: libshiboken2-py3
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 3 library used by shiboken2.

Package: libshiboken2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libshiboken2-py3-5.15 (= ${binary:Version}), shiboken2 (= ${binary:Version}), python3-dev
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package provides the development headers for the libshiboken2 library.

Package: shiboken2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: CPython bindings generator for C++ libraries (common documentation)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the common documentation.

Package: pyside2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-pyside2.qtcore
Description: development tools for PySide2 (lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework. This package ships
 the following accompanying tools:
  * pyside2-lupdate - update Qt Linguist translation files for PySide

Package: python3-pyside2.qtwidgets
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 Widgets module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWidgets module.

Package: python3-pyside2.qt3drender
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qt3dcore, python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 3DRender module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DRender module.

Package: python3-pyside2.qtquick
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork, python3-pyside2.qtqml,
 python3-pyside2.qtgui
Description: Python bindings for Qt5 Quick module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuick module.

Package: python3-pyside2.qtquickcontrols2
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtquick
Description: Python bindings for Qt5 QuickControls2 (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuickControls2 module.

Package: python3-pyside2.qtpositioning
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore
Description: Python bindings for Qt5 Positioning module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtPositioning module.

Package: python3-pyside2.qtremoteobjects
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 RemoteObjects (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtRemoteObjects module.

Package: python3-pyside2.qtx11extras
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 X11Extras module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtX11Extras module.

Package: python3-pyside2.qtqml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 Qml module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQml module.

Package: python3-pyside2.qtwebenginecore
Architecture: amd64 arm64 armhf i386 mipsel
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 WebEngineCore module (Python 3)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

# Safety measure to ensure package names match SONAMEs
PYSIDE_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1-2)
ifeq ($(shell awk '/Package:/ {print $$2}' debian/control | grep -- -$(PYSIDE_MAJOR)$$),)
    $(error Please update package names for major version $(PYSIDE_MAJOR))
endif
ifeq ($(shell ls debian/lib* | grep -- -$(PYSIDE_MAJOR)),)
    $(error Please update files debian/lib*.* for major version $(PYSIDE_MAJOR))
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    OPTION_JOBS = --parallel=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

export PYBUILD_NAME=pyside2
export PYBUILD_SYSTEM=distutils
export PYBUILD_BUILD_ARGS=--relwithdebinfo --verbose-build --no-examples --build-tests --doc-build-online --ignore-git $(OPTION_JOBS)

export MAIN_VERSION_UPSTREAM := $(shell echo $(DEB_VERSION_UPSTREAM))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Add CPPFLAGS to CXXFLAGS as CMake ignores CPPFLAGS by default
CXXFLAGS+=$(CPPFLAGS)

# Work around buildd bug (https://bugs.debian.org/842565)
undefine XDG_RUNTIME_DIR

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	# Don't use pybuild install process, we take over this step to
	# split files in the way we want it. But we echo the list of files
	# built to make it easier to update *.install files.
	echo ">>> In pyside*_{package,install}"
	-find pyside*_install pyside*_build

override_dh_makeshlibs:
	dh_makeshlibs -VUpstream-Version

override_dh_install-indep:
	dh_install -X.doctrees

override_dh_install-arch:
	dh_install
	# remove RUNPATH setup in shiboken2
	chrpath -d debian/shiboken2/usr/bin/shiboken2
	# change the library path in pkg-info/*.pc and in *.cmake files:
	# during the build the path is setup to the build dir
	# /build/pyside2* (required to find lib during the build) but it's
	# not what we need
	debian/set-paths

override_dh_auto_test:
ifeq (mips64el,$(DEB_HOST_ARCH))
	# See https://bugs.debian.org/868745
	QSG_NO_DEPTH_BUFFER=1 xvfb-run -a dh_auto_test -- --system=custom \
		--test-args '{interpreter} testrunner.py test'
else
	xvfb-run -a dh_auto_test -- --system=custom \
		--test-args '{interpreter} testrunner.py test'
endif

=== debian/tests/control ===
Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtcore PySide2.QtCore
Depends: python3-pyside2.qtcore, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtwidgets PySide2.QtWidgets
Depends: python3-pyside2.qtwidgets, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qt3drender PySide2.Qt3DRender
Depends: python3-pyside2.qt3drender, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtquick PySide2.QtQuick
Depends: python3-pyside2.qtquick, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtpositioning PySide2.QtPositioning
Depends: python3-pyside2.qtpositioning, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtx11extras PySide2.QtX11Extras
Depends: python3-pyside2.qtx11extras, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtqml PySide2.QtQml
Depends: python3-pyside2.qtqml, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtwebenginecore PySide2.QtWebEngineCore
Depends: python3-pyside2.qtwebenginecore, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qttexttospeech PySide2.QtTextToSpeech
Depends: python3-pyside2.qttexttospeech, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qthelp PySide2.QtHelp
Depends: python3-pyside2.qthelp, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtscripttools PySide2.QtScriptTools
Depends: python3-pyside2.qtscripttools, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtnetwork PySide2.QtNetwork
Depends: python3-pyside2.qtnetwork, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtmultimediawidgets PySide2.QtMultimediaWidgets
Depends: python3-pyside2.qtmultimediawidgets, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtlocation PySide2.QtLocation
Depends: python3-pyside2.qtlocation, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qt3dlogic PySide2.Qt3DLogic
Depends: python3-pyside2.qt3dlogic, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtsensors PySide2.QtSensors
Depends: python3-pyside2.qtsensors, python3
Restrictions: allow-stderr, superficial
